NIX-PULL(1)

NAME
nix-pull - register availability of pre-built binaries (deprecated)

SYNOPSIS

nix-pull url

DESCRIPTION

    Note

    This command and the use of manifests is deprecated. It is better to use binary caches.

The command nix-pull obtains a list of pre-built store paths from the URL url, and for each of these store paths, registers a substitute derivation that downloads and unpacks it into the Nix store. This is used to speed up installations: if you attempt to install something that has already been built and stored into the network cache, Nix can transparently re-use the pre-built store paths.

The file at url must be compatible with the files created by nix-push.

EXAMPLES

    $ nix-pull https://nixos.org/releases/nixpkgs/nixpkgs-15.05pre54468.69858d7/MANIFEST

AUTHOR

Eelco Dolstra
LogicBlox
    Author

COPYRIGHT
Copyright © 2004-2014 Eelco Dolstra